package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Etg;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface EtgMapper {

    int insert(Etg record);

    int insertSelective(Etg record);

    int updateByPrimaryKeySelective(Etg record);

    int updateByPrimaryKey(Etg record);

    int deleteByPrimaryKey(Etg record);

    int deleteByIds(Collection<Object> collection);

    Etg selectByPrimaryKey(Etg record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Etg> dyncRead(Map<String,Object> dyncMap);

    Etg getEtgByExtkey(String extkey);

}